C------------------------------------------------------------------------------
C
C  NSSDC/CDF				Digital FORTRAN-specific include
C					file for FORTRAN interface.
C
C  Version 1.0, 20-Sep-99, Raytheon ITSS.
C
C  Modification history:
C
C   V1.0  20-Sep-99, M Liu      Original version.
C   V1.1  08-Apr-04, M Liu      Added  new data type CDF_EPOCH16 and some
C                               epoch functions related to the new type.
C
C------------------------------------------------------------------------------

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_ATTR_EXISTENCE
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_ATTR_EXISTENCE
          !DEC$ ALIAS CDF_CONFIRM_ATTR_EXISTENCE, '_cdf_confirm_attr_existence'
          END FUNCTION CDF_CONFIRM_ATTR_EXISTENCE
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_RVAR_EXISTENCE
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_RVAR_EXISTENCE
          !DEC$ ALIAS CDF_CONFIRM_RVAR_EXISTENCE, '_cdf_confirm_rvar_existence'
          END FUNCTION CDF_CONFIRM_RVAR_EXISTENCE
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_ZVAR_EXISTENCE
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_ZVAR_EXISTENCE
          !DEC$ ALIAS CDF_CONFIRM_ZVAR_EXISTENCE, '_cdf_confirm_zvar_existence'
          END FUNCTION CDF_CONFIRM_ZVAR_EXISTENCE
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_GENTRY_EXISTENCE
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_GENTRY_EXISTENCE
          !DEC$ ALIAS CDF_CONFIRM_GENTRY_EXISTENCE, '_cdf_confirm_gentry_existence'
          END FUNCTION CDF_CONFIRM_GENTRY_EXISTENCE
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_RENTRY_EXISTENCE
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_RENTRY_EXISTENCE
          !DEC$ ALIAS CDF_CONFIRM_RENTRY_EXISTENCE, '_cdf_confirm_rentry_existence'
          END FUNCTION CDF_CONFIRM_RENTRY_EXISTENCE
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_ZENTRY_EXISTENCE
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_ZENTRY_EXISTENCE              !DEC$ ALIAS CDF_CONFIRM_ZENTRY_EXISTENCE, '_cdf_confirm_zentry_existence'
          END FUNCTION CDF_CONFIRM_ZENTRY_EXISTENCE
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_CUR_GENTRY_EXIST
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_CUR_GENTRY_EXIST
          !DEC$ ALIAS CDF_CONFIRM_CUR_GENTRY_EXIST,'_cdf_confirm_cur_gentry_exist'
          END FUNCTION CDF_CONFIRM_CUR_GENTRY_EXIST
       END INTERFACE
	
       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_CUR_RENTRY_EXIST
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_CUR_RENTRY_EXIST
          !DEC$ ALIAS CDF_CONFIRM_CUR_RENTRY_EXIST,'_cdf_confirm_cur_rentry_exist'
          END FUNCTION CDF_CONFIRM_CUR_RENTRY_EXIST
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_CUR_ZENTRY_EXIST
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_CUR_ZENTRY_EXIST
          !DEC$ ALIAS CDF_CONFIRM_CUR_ZENTRY_EXIST,'_cdf_confirm_cur_zentry_exist'
          END FUNCTION CDF_CONFIRM_CUR_ZENTRY_EXIST
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_RVAR_PADVALUE_EXIST
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_RVAR_PADVALUE_EXIST
          !DEC$ ALIAS CDF_CONFIRM_RVAR_PADVALUE_EXIST,'_cdf_confirm_rvar_padvalue_exist'
          END FUNCTION CDF_CONFIRM_RVAR_PADVALUE_EXIST
       END INTERFACE

       INTERFACE
          INTEGER*4 FUNCTION CDF_CONFIRM_ZVAR_PADVALUE_EXIST
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_CONFIRM_ZVAR_PADVALUE_EXIST
          !DEC$ ALIAS CDF_CONFIRM_ZVAR_PADVALUE_EXIST,'_cdf_confirm_zvar_padvalue_exist'
          END FUNCTION CDF_CONFIRM_ZVAR_PADVALUE_EXIST
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SELECT_CURRENT_ATTR
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SELECT_CURRENT_ATTR
          !DEC$ ALIAS CDF_SELECT_CURRENT_ATTR, '_cdf_select_current_attr'
          END SUBROUTINE CDF_SELECT_CURRENT_ATTR
       END INTERFACE
	
       INTERFACE
          SUBROUTINE CDF_SELECT_CURRENT_ATTR_BYNAME
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SELECT_CURRENT_ATTR_BYNAME
          !DEC$ ALIAS CDF_SELECT_CURRENT_ATTR_BYNAME, '_cdf_select_current_attr_byname'
          END SUBROUTINE CDF_SELECT_CURRENT_ATTR_BYNAME
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SELECT_CURRENT_RAVR
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SELECT_CURRENT_RAVR
          !DEC$ ALIAS CDF_SELECT_CURRENT_RAVR, '_cdf_select_current_ravr'
          END SUBROUTINE CDF_SELECT_CURRENT_RAVR
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SELECT_CURRENT_RVAR_BYNAME
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SELECT_CURRENT_RVAR_BYNAME
          !DEC$ ALIAS CDF_SELECT_CURRENT_RVAR_BYNAME, '_cdf_select_current_rvar_byname'
          END SUBROUTINE CDF_SELECT_CURRENT_RVAR_BYNAME
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SELECT_CURRENT_ZVAR
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SELECT_CURRENT_ZVAR
          !DEC$ ALIAS CDF_SELECT_CURRENT_ZVAR, '_cdf_select_current_zvar'
          END SUBROUTINE CDF_SELECT_CURRENT_ZVAR
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SELECT_CURRENT_ZVAR_BYNAME
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SELECT_CURRENT_ZVAR_BYNAME
          !DEC$ ALIAS CDF_SELECT_CURRENT_ZVAR_BYNAME, '_cdf_select_current_zvar_byname'
          END SUBROUTINE CDF_SELECT_CURRENT_ZVAR_BYNAME
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_RVARS_RECNUMBER
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_RVARS_RECNUMBER
          !DEC$ ALIAS CDF_SET_RVARS_RECNUMBER, '_cdf_set_rvars_recnumber'
          END SUBROUTINE CDF_SET_RVARS_RECNUMBER
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_ZVAR_RECNUMBER
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_ZVAR_RECNUMBER
          !DEC$ ALIAS CDF_SET_ZVAR_RECNUMBER, '_cdf_set_zvar_recnumber'
          END SUBROUTINE CDF_SET_ZVAR_RECNUMBER
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_RVARS_RECCOUNT
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_RVARS_RECCOUNT
          !DEC$ ALIAS CDF_SET_RVARS_RECCOUNT, '_cdf_set_rvars_reccount'
          END SUBROUTINE CDF_SET_RVARS_RECCOUNT
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_ZVAR_RECCOUNT
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_ZVAR_RECCOUNT
          !DEC$ ALIAS CDF_SET_ZVAR_RECCOUNT, '_cdf_set_zvar_reccount'
          END SUBROUTINE CDF_SET_ZVAR_RECCOUNT
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_RVARS_RECINTERVAL
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_RVARS_RECINTERVAL
          !DEC$ ALIAS CDF_SET_RVARS_RECINTERVAL, '_cdf_set_rvars_recinterval'
          END SUBROUTINE CDF_SET_RVARS_RECINTERVAL
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_ZVAR_RECINTERVAL
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_ZVAR_RECINTERVAL
          !DEC$ ALIAS CDF_SET_ZVAR_RECINTERVAL, '_cdf_set_zvar_recinterval'
          END SUBROUTINE CDF_SET_ZVAR_RECINTERVAL
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_RVARS_DIMINDICES
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_RVARS_DIMINDICES
          !DEC$ ALIAS CDF_SET_RVARS_DIMINDICES, '_cdf_set_rvars_dimindices'
          END SUBROUTINE CDF_SET_RVARS_DIMINDICES
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_ZVAR_DIMINDICES
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_ZVAR_DIMINDICES
          !DEC$ ALIAS CDF_SET_ZVAR_DIMINDICES, '_cdf_set_zvar_dimindices'
          END SUBROUTINE CDF_SET_ZVAR_DIMINDICES
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_RVARS_DIMCOUNTS
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_RVARS_DIMCOUNTS
          !DEC$ ALIAS CDF_SET_RVARS_DIMCOUNTS, '_cdf_set_rvars_dimcounts'
          END SUBROUTINE CDF_SET_RVARS_DIMCOUNTS
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_ZVAR_DIMCOUNTS
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_ZVAR_DIMCOUNTS
          !DEC$ ALIAS CDF_SET_ZVAR_DIMCOUNTS, '_cdf_set_zvar_dimcounts'
          END SUBROUTINE CDF_SET_ZVAR_DIMCOUNTS
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_RVARS_DIMINTERVALS
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_RVARS_DIMINTERVALS
          !DEC$ ALIAS CDF_SET_RVARS_DIMINTERVALS, '_cdf_set_rvars_dimintervals'
          END SUBROUTINE CDF_SET_RVARS_DIMINTERVALS
       END INTERFACE

       INTERFACE
          SUBROUTINE CDF_SET_ZVAR_DIMINTERVALS
          !DEC$ ATTRIBUTES C, REFERENCE, VARYING :: CDF_SET_ZVAR_DIMINTERVALS
          !DEC$ ALIAS CDF_SET_ZVAR_DIMINTERVALS, '_cdf_set_zvar_dimintervals'
          END SUBROUTINE CDF_SET_ZVAR_DIMINTERVALS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SELECT_CURRENT_GENTRY
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SELECT_CURRENT_GENTRY
         !DEC$ ALIAS CDF_SELECT_CURRENT_GENTRY, '_cdf_select_current_gentry'
         END SUBROUTINE CDF_SELECT_CURRENT_GENTRY
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SELECT_CURRENT_RENTRY
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SELECT_CURRENT_RENTRY
         !DEC$ ALIAS CDF_SELECT_CURRENT_RENTRY, '_cdf_select_current_rentry'
         END SUBROUTINE CDF_SELECT_CURRENT_RENTRY
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SELECT_CURRENT_ZENTRY
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SELECT_CURRENT_ZENTRY
         !DEC$ ALIAS CDF_SELECT_CURRENT_ZENTRY, '_cdf_select_current_zentry'
         END SUBROUTINE CDF_SELECT_CURRENT_ZENTRY
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_DECODING
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_DECODING
         !DEC$ ALIAS CDF_SET_DECODING, '_cdf_set_decoding'
         END SUBROUTINE CDF_SET_DECODING
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_READONLY_MODE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_READONLY_MODE
         !DEC$ ALIAS CDF_SET_READONLY_MODE, '_cdf_set_readonly_mode'
         END SUBROUTINE CDF_SET_READONLY_MODE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_NEGTOPOSFP0_MODE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_NEGTOPOSFP0_MODE
         !DEC$ ALIAS CDF_SET_NEGTOPOSFP0_MODE, '_cdf_set_negtoposfp0_mode'
         END SUBROUTINE CDF_SET_NEGTOPOSFP0_MODE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_COMPRESS_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_COMPRESS_CACHESIZE
         !DEC$ ALIAS CDF_SET_COMPRESS_CACHESIZE, '_cdf_set_compress_cachesize'
         END SUBROUTINE CDF_SET_COMPRESS_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_STAGE_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_STAGE_CACHESIZE
         !DEC$ ALIAS CDF_SET_STAGE_CACHESIZE, '_cdf_set_stage_cachesize'
         END SUBROUTINE CDF_SET_STAGE_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_CACHESIZE
         !DEC$ ALIAS CDF_SET_RVAR_CACHESIZE, '_cdf_set_rvar_cachesize'
         END SUBROUTINE CDF_SET_RVAR_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_CACHESIZE
         !DEC$ ALIAS CDF_SET_ZVAR_CACHESIZE, '_cdf_set_zvar_cachesize'
         END SUBROUTINE CDF_SET_ZVAR_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVARS_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVARS_CACHESIZE
         !DEC$ ALIAS CDF_SET_RVARS_CACHESIZE, '_cdf_set_rvars_cachesize'
         END SUBROUTINE CDF_SET_RVARS_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVARS_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVARS_CACHESIZE
         !DEC$ ALIAS CDF_SET_ZVARS_CACHESIZE, '_cdf_set_zvars_cachesize'
         END SUBROUTINE CDF_SET_ZVARS_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_SEQPOS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_SEQPOS
         !DEC$ ALIAS CDF_SET_RVAR_SEQPOS, '_cdf_set_rvar_seqpos'
         END SUBROUTINE CDF_SET_RVAR_SEQPOS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_SEQPOS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_SEQPOS
         !DEC$ ALIAS CDF_SET_ZVAR_SEQPOS, '_cdf_set_zvar_seqpos'
         END SUBROUTINE CDF_SET_ZVAR_SEQPOS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_RESERVEPERCENT
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_RESERVEPERCENT
         !DEC$ ALIAS CDF_SET_RVAR_RESERVEPERCENT, '_cdf_set_rvar_reservepercent'
         END SUBROUTINE CDF_SET_RVAR_RESERVEPERCENT
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_RESERVEPERCENT
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_RESERVEPERCENT
         !DEC$ ALIAS CDF_SET_ZVAR_RESERVEPERCENT, '_cdf_set_zvar_reservepercent'
         END SUBROUTINE CDF_SET_ZVAR_RESERVEPERCENT
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZMODE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZMODE
         !DEC$ ALIAS CDF_SET_ZMODE, '_cdf_set_zmode'
         END SUBROUTINE CDF_SET_ZMODE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ATTR_SCOPE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ATTR_SCOPE
         !DEC$ ALIAS CDF_SET_ATTR_SCOPE, '_cdf_set_attr_scope'
         END SUBROUTINE CDF_SET_ATTR_SCOPE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ATTR_GENTRY_DATASPEC
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ATTR_GENTRY_DATASPEC
         !DEC$ ALIAS CDF_SET_ATTR_GENTRY_DATASPEC, '_cdf_set_attr_gentry_dataspec'
         END SUBROUTINE CDF_SET_ATTR_GENTRY_DATASPEC
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ATTR_RENTRY_DATASPEC
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ATTR_RENTRY_DATASPEC
         !DEC$ ALIAS CDF_SET_ATTR_RENTRY_DATASPEC, '_cdf_set_attr_rentry_dataspec'
         END SUBROUTINE CDF_SET_ATTR_RENTRY_DATASPEC
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ATTR_ZENTRY_DATASPEC
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ATTR_ZENTRY_DATASPEC
         !DEC$ ALIAS CDF_SET_ATTR_ZENTRY_DATASPEC, '_cdf_set_attr_zentry_dataspec'
         END SUBROUTINE CDF_SET_ATTR_ZENTRY_DATASPEC
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_COMPRESSION
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_COMPRESSION
         !DEC$ ALIAS CDF_SET_COMPRESSION, '_cdf_set_compression'
         END SUBROUTINE CDF_SET_COMPRESSION
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ENCODING
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ENCODING
         !DEC$ ALIAS CDF_SET_ENCODING, '_cdf_set_encoding'
         END SUBROUTINE CDF_SET_ENCODING
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_FORMAT
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_FORMAT
         !DEC$ ALIAS CDF_SET_FORMAT, '_cdf_set_format'
         END SUBROUTINE CDF_SET_FORMAT
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_MAJORITY
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_MAJORITY
         !DEC$ ALIAS CDF_SET_MAJORITY, '_cdf_set_majority'
         END SUBROUTINE CDF_SET_MAJORITY
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_CACHESIZE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_CACHESIZE
         !DEC$ ALIAS CDF_SET_CACHESIZE, '_cdf_set_cachesize'
         END SUBROUTINE CDF_SET_CACHESIZE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_DATASPEC
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_DATASPEC
         !DEC$ ALIAS CDF_SET_RVAR_DATASPEC, '_cdf_set_rvar_dataspec'
         END SUBROUTINE CDF_SET_RVAR_DATASPEC
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_DATASPEC
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_DATASPEC
         !DEC$ ALIAS CDF_SET_ZVAR_DATASPEC, '_cdf_set_zvar_dataspec'
         END SUBROUTINE CDF_SET_ZVAR_DATASPEC
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_RECVARIANCE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_RECVARIANCE
         !DEC$ ALIAS CDF_SET_RVAR_RECVARIANCE, '_cdf_set_rvar_recvariance'
         END SUBROUTINE CDF_SET_RVAR_RECVARIANCE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_RECVARIANCE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_RECVARIANCE
         !DEC$ ALIAS CDF_SET_ZVAR_RECVARIANCE, '_cdf_set_zvar_recvariance'
         END SUBROUTINE CDF_SET_ZVAR_RECVARIANCE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_DIMVARIANCES
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_DIMVARIANCES
         !DEC$ ALIAS CDF_SET_RVAR_DIMVARIANCES, '_cdf_set_rvar_dimvariances'
         END SUBROUTINE CDF_SET_RVAR_DIMVARIANCES
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_DIMVARIANCES
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_DIMVARIANCES
         !DEC$ ALIAS CDF_SET_ZVAR_DIMVARIANCES, '_cdf_set_zvar_dimvariances'
         END SUBROUTINE CDF_SET_ZVAR_DIMVARIANCES
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_BLOCKINGFACTOR
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_BLOCKINGFACTOR
         !DEC$ ALIAS CDF_SET_RVAR_BLOCKINGFACTOR, '_cdf_set_rvar_blockingfactor'
         END SUBROUTINE CDF_SET_RVAR_BLOCKINGFACTOR
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_BLOCKINGFACTOR
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_BLOCKINGFACTOR
         !DEC$ ALIAS CDF_SET_ZVAR_BLOCKINGFACTOR, '_cdf_set_zvar_blockingfactor'
         END SUBROUTINE CDF_SET_ZVAR_BLOCKINGFACTOR
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_COMPRESSION
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_COMPRESSION
         !DEC$ ALIAS CDF_SET_RVAR_COMPRESSION, '_cdf_set_rvar_compression'
         END SUBROUTINE CDF_SET_RVAR_COMPRESSION
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_COMPRESSION
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_COMPRESSION
         !DEC$ ALIAS CDF_SET_ZVAR_COMPRESSION, '_cdf_set_zvar_compression'
         END SUBROUTINE CDF_SET_ZVAR_COMPRESSION
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_PADVALUE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_PADVALUE
         !DEC$ ALIAS CDF_SET_RVAR_PADVALUE, '_cdf_set_rvar_padvalue'
         END SUBROUTINE CDF_SET_RVAR_PADVALUE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_PADVALUE
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_PADVALUE
         !DEC$ ALIAS CDF_SET_ZVAR_PADVALUE, '_cdf_set_zvar_padvalue'
         END SUBROUTINE CDF_SET_ZVAR_PADVALUE
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_SPARSERECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_SPARSERECORDS
         !DEC$ ALIAS CDF_SET_RVAR_SPARSERECORDS, '_cdf_set_rvar_sparserecords'
         END SUBROUTINE CDF_SET_RVAR_SPARSERECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_SPARSERECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_SPARSERECORDS
         !DEC$ ALIAS CDF_SET_ZVAR_SPARSERECORDS, '_cdf_set_zvar_sparserecords'
         END SUBROUTINE CDF_SET_ZVAR_SPARSERECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_SPARSEARRAYS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_SPARSEARRAYS
         !DEC$ ALIAS CDF_SET_RVAR_SPARSEARRAYS, '_cdf_set_rvar_sparsearrays'
         END SUBROUTINE CDF_SET_RVAR_SPARSEARRAYS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_SPARSEARRAYS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_SPARSEARRAYS
         !DEC$ ALIAS CDF_SET_ZVAR_SPARSEARRAYS, '_cdf_set_zvar_sparsearrays'
         END SUBROUTINE CDF_SET_ZVAR_SPARSEARRAYS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_ALLOCRECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_ALLOCRECORDS
         !DEC$ ALIAS CDF_SET_RVAR_ALLOCRECORDS, '_cdf_set_rvar_allocrecords'
         END SUBROUTINE CDF_SET_RVAR_ALLOCRECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_ALLOCRECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_ALLOCRECORDS
         !DEC$ ALIAS CDF_SET_ZVAR_ALLOCRECORDS, '_cdf_set_zvar_allocrecords'
         END SUBROUTINE CDF_SET_ZVAR_ALLOCRECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_ALLOCBLOCKRECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_ALLOCBLOCKRECORDS
         !DEC$ ALIAS CDF_SET_RVAR_ALLOCBLOCKRECORDS, '_cdf_set_rvar_allocblockrecords'
         END SUBROUTINE CDF_SET_RVAR_ALLOCBLOCKRECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_ALLOCBLOCKRECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_ALLOCBLOCKRECORDS
         !DEC$ ALIAS CDF_SET_ZVAR_ALLOCBLOCKRECORDS, '_cdf_set_zvar_allocblockrecords'
         END SUBROUTINE CDF_SET_ZVAR_ALLOCBLOCKRECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_RVAR_INITIALRECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_RVAR_INITIALRECORDS
         !DEC$ ALIAS CDF_SET_RVAR_INITIALRECORDS, '_cdf_set_rvar_initialrecords'
         END SUBROUTINE CDF_SET_RVAR_INITIALRECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_SET_ZVAR_INITIALRECORDS
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_SET_ZVAR_INITIALRECORDS
         !DEC$ ALIAS CDF_SET_ZVAR_INITIALRECORDS, '_cdf_set_zvar_initialrecords'
         END SUBROUTINE CDF_SET_ZVAR_INITIALRECORDS
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_PUT_RVAR_SEQDATA
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_PUT_RVAR_SEQDATA
         !DEC$ ALIAS CDF_PUT_RVAR_SEQDATA, '_cdf_put_rvar_seqdata'
         END SUBROUTINE CDF_PUT_RVAR_SEQDATA
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_PUT_ZVAR_SEQDATA
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_PUT_ZVAR_SEQDATA
         !DEC$ ALIAS CDF_PUT_ZVAR_SEQDATA, '_cdf_put_zvar_seqdata'
         END SUBROUTINE CDF_PUT_ZVAR_SEQDATA
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_PUT_RVAR_RECORDDATA
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_PUT_RVAR_RECORDDATA
         !DEC$ ALIAS CDF_PUT_RVAR_RECORDDATA, '_cdf_put_rvar_recorddata'
         END SUBROUTINE CDF_PUT_RVAR_RECORDDATA
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_PUT_ZVAR_RECORDDATA
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_PUT_ZVAR_RECORDDATA
         !DEC$ ALIAS CDF_PUT_ZVAR_RECORDDATA, '_cdf_put_zvar_recorddata'
         END SUBROUTINE CDF_PUT_ZVAR_RECORDDATA
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_PUT_RVARS_RECORDDATA
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_PUT_RVARS_RECORDDATA
         !DEC$ ALIAS CDF_PUT_RVARS_RECORDDATA, '_cdf_put_rvars_recorddata'
         END SUBROUTINE CDF_PUT_RVARS_RECORDDATA
       END INTERFACE

       INTERFACE
         SUBROUTINE CDF_PUT_ZVARS_RECORDDATA
         !DEC$ ATTRIBUTES C, REFERENCE, VARYING ::CDF_PUT_ZVARS_RECORDDATA
         !DEC$ ALIAS CDF_PUT_ZVARS_RECORDDATA, '_cdf_put_zvars_recorddata'
         END SUBROUTINE CDF_PUT_ZVARS_RECORDDATA
       END INTERFACE


